PHP Handbuch
Zurück |  | Weiter

# VARIANT

(no version information, might be only in CVS)

VARIANT -- VARIANT Klasse

## Synopsis

    $vVar = new VARIANT($var)

## Beschreibung

Ein einfacher Container, um Variablen in VARIANT Strukturen zu verpacken.

## Methoden

string VARIANT::VARIANT ( [mixed value [, int type [, int codepage]]] )

VARIANT Klassen-Konstruktor. Parameter:

value

  Anfangswert. Ist er nicht angegeben, wird ein VT_EMPTY Objekt erzeugt.

type

  spezifiziert den Typ vom Inhalt des VARIANT Objektes. Mögliche Werte sind `VT_UI1`, `VT_UI2`, `VT_UI4`, `VT_I1`, `VT_I2`, `VT_I4`, `VT_R4`, `VT_R8`, `VT_INT`, `VT_UINT`, `VT_BOOL`, `VT_ERROR`, `VT_CY`, `VT_DATE`, `VT_BSTR`, `VT_DECIMAL`, `VT_UNKNOWN`, `VT_DISPATCH` und `VT_VARIANT`. Diese Werte sind wechselseitig exklusiv, können aber mit `VT_BYREF` vereinigt werden, um zu spezifizieren, dass es sich um einen Wert handelt. Wird er weggelassen, wird der Typ von value verwendet. Konsultieren Sie bitte die MSDN Library für weitere Informationen.

codepage

  gibt die Codepage an, welche zur Konvertierung der PHP-Strings in Unicode-Strings und umgekehrt verwendet wird. Mögliche Werte sind `CP_ACP`, `CP_MACCP`, `CP_OEMCP`, `CP_SYMBOL`, `CP_THREAD_ACP`, `CP_UTF7` und `CP_UTF8`.

Zurück | Zum Anfang | Weiter
DOTNET | Nach oben | com_addref